summaryrefslogtreecommitdiffstats
path: root/modules.d/00mksh
diff options
context:
space:
mode:
Diffstat (limited to '')
-rwxr-xr-xmodules.d/00mksh/module-setup.sh34
1 files changed, 34 insertions, 0 deletions
diff --git a/modules.d/00mksh/module-setup.sh b/modules.d/00mksh/module-setup.sh
new file mode 100755
index 0000000..8942b42
--- /dev/null
+++ b/modules.d/00mksh/module-setup.sh
@@ -0,0 +1,34 @@
+#!/bin/bash
+# This file is part of dracut.
+# SPDX-License-Identifier: GPL-2.0-or-later
+
+# Prerequisite check(s) for module.
+check() {
+
+ # If the binary(s) requirements are not fulfilled the module can't be installed.
+ require_binaries mksh || return 1
+ require_binaries printf || return 1
+
+ # Return 255 to only include the module, if another module requires it.
+ return 255
+
+}
+
+# Module dependency requirements.
+depends() {
+
+ # Return 0 to include the dependent module(s) in the initramfs.
+ return 0
+
+}
+
+# Install the required file(s) and directories for the module in the initramfs.
+install() {
+
+ inst /bin/mksh
+ inst printf
+
+ # Prefer mksh as default shell if no other shell is preferred.
+ [[ -L $initdir/bin/sh ]] || ln -sf mksh "${initdir}/bin/sh"
+
+}